Bug 210700 - Editor Search in 7.2 is different than in 7.0
Editor Search in 7.2 is different than in 7.0
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Search
7.2
PC Linux
: P2 (vote)
: 7.2
Assigned To: Milutin Kristofic
issues@editor
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 13:36 UTC by Milutin Kristofic
Modified: 2012-04-17 10:02 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
search type (43.02 KB, patch)
2012-04-04 13:48 UTC, Milutin Kristofic
Details | Diff
search type patch 2 (43.79 KB, patch)
2012-04-10 11:38 UTC, Milutin Kristofic
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Milutin Kristofic 2012-04-04 13:36:56 UTC
Make option to use editor search as in 7.0:
press enter - close searchbar, stay on search match
press escape (close button) - close searchbar, jump back to start search position
change focus to editor - close searchbar
start incremantal search with previous search
when text selected and then you use search - it finds next instance
Comment 1 Milutin Kristofic 2012-04-04 13:48:23 UTC
Created attachment 117814 [details]
search type

There will be a search type in options. Some notes in http://wiki.netbeans.org/SearchUseCases

I just added SimpleValueName.EDITOR_SEARCH_TYPE,  therefore I do fast api review, and plan to push on friday, if no response.
Comment 2 Miloslav Metelka 2012-04-05 10:51:03 UTC
Mito, you must change the "Assigned To" field to apireviews in order to get any feedback from API review team ;-)

I agree with the proposed change.
Comment 3 Ralph Ruijs 2012-04-05 11:13:31 UTC
[R01] The editor search type preference is using a string literal. I think this should be changed to a constant, or even better an enum.
Comment 4 Jesse Glick 2012-04-05 14:13:21 UTC
Fine to keep the assignee at its normal value; just need to make sure apireviews is on CC so it gets delivered to subscribers of api-changes@netbeans.org.


[JG01] Minor I18N issues - some form labels ("Search", "Editor Search Type:") seem to need localization.

Also please avoid computed bundle keys like NbBundle.getMessage(GeneralEditorPanel.class, "EST_" + value); safer to explicitly test for known values and load constant keys (or use @Messages).

(When time permits, the loc(...) methods should be deleted, letting the form editor manage localized strings in the normal way.)
Comment 5 Milutin Kristofic 2012-04-10 11:38:10 UTC
Created attachment 118048 [details]
search type patch 2

[R01] Preferences get and put String literals and also on save remove trailing whitespace uses same approach. I will leave it as it is for now.

[JG01] I added localization for labels ("Search", "Editor Search Type:"), thank you for noticing. I rewrite Renderer not to compute strings.

if it's fine, I commit and push on 12.4.
Comment 6 Milutin Kristofic 2012-04-12 11:07:45 UTC
http://hg.netbeans.org/jet-main/rev/944e3e87716a
Comment 7 Quality Engineering 2012-04-13 09:50:13 UTC
Integrated into 'main-golden', will be available in build *201204130400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/944e3e87716a
User: Milutin Kristofic <mkristofic@netbeans.org>
Log: #210700 - Editor Search in 7.2 is different than in 7.0
Comment 8 Milutin Kristofic 2012-04-16 09:04:47 UTC
Constant fix
http://hg.netbeans.org/jet-main/rev/7800eef726e5
Comment 9 Quality Engineering 2012-04-17 10:02:23 UTC
Integrated into 'main-golden', will be available in build *201204170400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/7800eef726e5
User: Milutin Kristofic <mkristofic@netbeans.org>
Log: #210700 - Editor Search in 7.2 is different than in 7.0 - constant fix


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo